Skip to main content

Add device-type or device-id associations to a ConfigMap project

POST 

/api/v1/get_config/:configMapIdentifier/config-map/associations

Add device-type or device-id associations to a ConfigMap project

Request

Path Parameters

    configMapIdentifier stringrequired

    ConfigMap project ID or name

Body

required

    deviceTypeId number

    Device type ID to associate with. Null = global.

    deviceIds string[]

    Array of device IDs to associate with directly.

Responses

Schema

  • Array [

  • id numberrequired
    configMapProjectId numberrequired
    deviceTypeId object
    deviceId object

    Specific device ID this association targets, or null for device-type / global rules

    configProjectId object

    Direct link to a specific CONFIG project, or null for device-type / device-id / global rules

  • ]

Loading...